#
# spec file for package libconfuse0
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           libconfuse0
Version:        2.7
Release:        21.5
#
License:        LGPL-2.1+
Group:          Development/Libraries/C and C++
#
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  gcc-c++ gettext-devel libtool pkgconfig
%if 0%{?suse_version} > 1020
BuildRequires:  check-devel
%else
BuildRequires:  check
%endif
Recommends:     %{name}-lang
%define pkg_name confuse
#
URL:            http://www.nongnu.org/confuse/
# taken from    http://download.savannah.gnu.org/releases/confuse/%{pkg_name}-%{version}.tar.gz
Source:         %{pkg_name}-%{version}.tar.bz2
#
Summary:        A configuration file parser library

%description
libConfuse is a configuration file parser library, licensed under the
terms of the LGPL, and written in C. It supports sections and (lists
of) values (strings, integers, floats, booleans or other sections), as
well as some other features (such as single/double-quoted strings,
environment variable expansion, functions and nested include
statements). It makes it very easy to add configuration file capability
to a program using a simple API.

The goal of libConfuse is not to be the configuration file parser
library with a gazillion of features. Instead, it aims to be easy to
use and quick to integrate with your code. libConfuse was called libcfg
before, but was changed to not confuse with other similar libraries.

%package -n libconfuse-devel
Group:          Development/Libraries/C and C++
Requires:       %{name} = %{version}
Summary:        The development files for libconfuse

%description -n libconfuse-devel
libConfuse is a configuration file parser library, licensed under the
terms of the LGPL, and written in C. It supports sections and (lists
of) values (strings, integers, floats, booleans or other sections), as
well as some other features (such as single/double-quoted strings,
environment variable expansion, functions and nested include
statements). It makes it very easy to add configuration file capability
to a program using a simple API.

The goal of libConfuse is not to be the configuration file parser
library with a gazillion of features. Instead, it aims to be easy to
use and quick to integrate with your code. libConfuse was called libcfg
before, but was changed to not confuse with other similar libraries.

This package holds the development files for libconfuse.

%lang_package
%prep
%setup -q -n %{pkg_name}-%{version}

%build
autoreconf -fi
%configure --enable-shared --disable-static
%{__make} %{?_smp_mflags}

%install
%makeinstall
%find_lang %{pkg_name}
%{__install} -Dd %{buildroot}%{_mandir}
%{__cp} -Rv doc/man/man3/ %{buildroot}%{_mandir}
# clean up examples
%{__make} -C examples clean
rm -rf examples/.deps/ examples/Makefile*

%post   -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%{_libdir}/libconfuse.so.0.0.0
%{_libdir}/libconfuse.so.0
%doc README NEWS AUTHORS

%files -n libconfuse-devel
%defattr(-,root,root,-)
%{_libdir}/libconfuse.so
%{_libdir}/libconfuse.la
%{_libdir}/pkgconfig/libconfuse.pc
%{_includedir}/confuse.h
%{_mandir}/man3/*.3*
%doc doc/html/ doc/tutorial-html/ examples/

%files lang -f %{pkg_name}.lang

%changelog
* Sun Nov 13 2011 jengelh@medozas.de
- Remove redundant/unwanted tags/section (cf. specfile guidelines)
* Sun Nov 13 2011 coolo@suse.com
- add libtool as explicit buildrequire to avoid implicit dependency from prjconf
* Thu Oct 14 2010 adam@mizerski.pl
- update to 2.7
  - Bugfix release.
- update to 2.6
  - added French translation contributed by Matthieu Sion
  - added build script and instructions for compiling with Mingw under Windows
    (contributed by Matthieu Sion)
  - now accepts a simplified list append syntax:
    option += "value"
    insted of
    option += {"value"}
  - added flag CFGF_NO_TITLE_DUPES: multiple section titles must be unique
    (duplicates raises an error, only applies to sections)
    (suggested by Brian Fallik)
  - fixed rpm builds, patch by Dan Lipsitt
  - always installs pkg-config .pc script
  - remove obsolete confuse-config script in favour of pkg-config
  - fixed a bug reported by Josh Kropf with single sections with titles
  - added patch that escapes values with quotes and backslashes when printing.
  - fixed a memory leak in default values for string lists,
    reported by Vineeth Neelakant.
  - windows build files now only in separate zip distribution
- reenabled locale files as lang package
- removed changelog from spec file since it's in changes file
* Mon Sep 17 2007 mrueckert@suse.de
- dont package locale files
* Wed Jul 18 2007 mrueckert@suse.de
- fix buildrequires on check(-devel)
* Wed Jul 18 2007 mrueckert@suse.de
- update to new packaging policy
- no longer build the static lib
- add confuse-2.5_tests.patch:
  fix testsuite
* Sun Apr  8 2007 mrueckert@suse.de
- run ldconfig
